Listar solicitudes de sincronización recientes
curl --request GET \
--url https://api.tupana.ai/v2/sync-requests/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.tupana.ai/v2/sync-requests/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tupana.ai/v2/sync-requests/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tupana.ai/v2/sync-requests/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tupana.ai/v2/sync-requests/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tupana.ai/v2/sync-requests/")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tupana.ai/v2/sync-requests/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "syre_5b6c7d8e9f0a1",
"master_entity_id": "ment_4829301923847",
"requested_types": [
"ISSUED_DOCS",
"RECEIVED_DOCS"
],
"status": "completed",
"webhook_url": "",
"results": {
"ISSUED_DOCS": {
"success": true,
"new_documents": 3
},
"RECEIVED_DOCS": {
"success": true,
"new_documents": 0
}
},
"completed_at": "2026-07-20T14:34:12Z",
"created_at": "2026-07-20T14:30:00Z"
},
{
"id": "syre_5b6c7d8e9f0a1",
"master_entity_id": "ment_4829301923847",
"requested_types": [],
"status": "processing",
"webhook_url": "https://miapp.cl/webhooks/tupana-sync",
"results": {},
"completed_at": null,
"created_at": "2026-07-20T11:02:44Z"
}
],
"meta": {
"page": 1,
"page_size": 50,
"total": 2,
"total_pages": null
},
"links": {
"next": null,
"prev": null
}
}{
"error": "hours debe ser un entero."
}{
"detail": "No tienes acceso a esta entidad."
}Sincronización
Listar solicitudes de sincronización recientes
Lista las solicitudes de sincronización de una entidad creadas en las últimas N horas (por defecto 24), ordenadas de la más nueva a la más antigua. Paginación simple con page y page_size.
GET
/
sync-requests
/
Listar solicitudes de sincronización recientes
curl --request GET \
--url https://api.tupana.ai/v2/sync-requests/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.tupana.ai/v2/sync-requests/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tupana.ai/v2/sync-requests/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tupana.ai/v2/sync-requests/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tupana.ai/v2/sync-requests/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tupana.ai/v2/sync-requests/")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tupana.ai/v2/sync-requests/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "syre_5b6c7d8e9f0a1",
"master_entity_id": "ment_4829301923847",
"requested_types": [
"ISSUED_DOCS",
"RECEIVED_DOCS"
],
"status": "completed",
"webhook_url": "",
"results": {
"ISSUED_DOCS": {
"success": true,
"new_documents": 3
},
"RECEIVED_DOCS": {
"success": true,
"new_documents": 0
}
},
"completed_at": "2026-07-20T14:34:12Z",
"created_at": "2026-07-20T14:30:00Z"
},
{
"id": "syre_5b6c7d8e9f0a1",
"master_entity_id": "ment_4829301923847",
"requested_types": [],
"status": "processing",
"webhook_url": "https://miapp.cl/webhooks/tupana-sync",
"results": {},
"completed_at": null,
"created_at": "2026-07-20T11:02:44Z"
}
],
"meta": {
"page": 1,
"page_size": 50,
"total": 2,
"total_pages": null
},
"links": {
"next": null,
"prev": null
}
}{
"error": "hours debe ser un entero."
}{
"detail": "No tienes acceso a esta entidad."
}Authorizations
API Key para autenticación. Debe proporcionarse en el header Authorization con el formato: 'Api-Key YOUR-API-KEY' (incluye el prefijo 'Api-Key ' seguido de tu API key)
Query Parameters
ID de la entidad maestra. El public ID de la entidad (ment_...).
Example:
"ment_4829301923847"
Ventana hacia atrás, en horas, sobre la fecha de creación. Por defecto 24.
Example:
72
Página a consultar (parte en 1).
Tamaño de página. Por defecto 50, máximo 200.
Required range:
x <= 200